%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

# Choose a versioning scheme
%bcond_with pre_release

%global specversion 1
%global upstream_version 9bb41cb

%if %{with pre_release}
%global mh_release 0.%{specversion}.%{upstream_version}.git
%else
%global mh_release %{specversion}
%endif

Name:           mingw-matahari
Version:        0.5.0
Release:        %{mh_release}%{?dist}.5
Summary:        Matahari QMF Agents for Windows guests

Group:          Applications/System
License:        GPLv2+
URL:            http://fedorahosted.org/matahari

# wget --no-check-certificate -O matahari-matahari-{upstream_version}.tgz https://github.com/matahari/matahari/tarball/{upstream_version}
Source0:        matahari-%{version}.tar.gz

Patch0:         matahari-mingw-w64-fix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  redhat-rpm-config cmake make qmf-devel
BuildRequires:  mingw32-filesystem >= 57
BuildRequires:  mingw32-gcc-c++ mingw32-nsis genisoimage
BuildRequires:  mingw32-pcre mingw32-qpid-cpp mingw32-srvany mingw32-glib2 mingw32-sigar

%description
Matahari provides a QMF Agent that can be used to control and manage
various pieces of functionality for an ovirt node, using the AMQP protocol.

The Advanced Message Queuing Protocol (AMQP) is an open standard application
layer protocol providing reliable transport of messages.

QMF provides a modeling framework layer on top of qpid (which implements
AMQP).  This interface allows you to manage a host and its various components
as a set of objects with properties and methods.

MinGW cross-compiled Windows application.


%package -n mingw32-matahari
Summary:        Matahari QMF Agents for Windows guests

%description -n mingw32-matahari
Matahari provides a QMF Agent that can be used to control and manage
various pieces of functionality for an ovirt node, using the AMQP protocol.

The Advanced Message Queuing Protocol (AMQP) is an open standard application
layer protocol providing reliable transport of messages.

QMF provides a modeling framework layer on top of qpid (which implements
AMQP).  This interface allows you to manage a host and its various components
as a set of objects with properties and methods.

MinGW cross-compiled Windows application.

#{_mingw32_debug_package}

%prep
%setup -q -n matahari-%{version}
%patch0 -p0

%build
PATH=%{mingw32_bindir}:$PATH

%{mingw32_cmake} --debug-output -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_VERBOSE_MAKEFILE=on
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make VERBOSE=1 %{?_smp_mflags} package
genisoimage -o matahari-%{version}-win32.iso matahari-%{version}-win32.exe src/windows/autorun.inf

%{__install} -d $RPM_BUILD_ROOT/%{mingw32_datadir}/matahari
%{__install} matahari-%{version}-win32.iso $RPM_BUILD_ROOT/%{mingw32_datadir}/matahari

%clean
test "x%{buildroot}" != "x" && rm -rf %{buildroot}

%files -n mingw32-matahari
%defattr(-,root,root,-)
%{mingw32_datadir}/matahari

%doc AUTHORS COPYING

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-1.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 0.5.0-1.4
- Renamed the source package to mingw-matahari (#800974)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.0-1.2
- Rebuild against the mingw-w64 toolchain
- Fix build on mingw-w64

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 21 2011 Adam Stokes <astokes@fedoraproject.org> matahari-0.5.0
- New 0.5.0 release

* Wed Sep 14 2011 Adam Stokes <astokes@fedoraproject.org> matahari-0.4.5-0.1.9bb41cb.git
- New upstream Release.

* Mon Aug 29 2011 Adam Stokes <astokes@fedoraproject.org> matahari-0.4.2-0.1.67227ab.git
- New upstream release.

* Fri Jul 29 2011 Adam Stokes <astokes@fedoraproject.org> matahari-0.4.2-0.1.cb3faf4.git
- New upstream release.

* Tue Oct 12 2010 Andrew Beekhof <andrew@beekhof.net> - matahari-0.4.0-0.3.e1d0d9a.git
- Initial build.

* Fri Sep 10 2010 Andrew Beekhof <andrew@beekhof.net> - matahari-0.4.0-0.1
- Initial build.

